Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] ERROR: ld.so: object 'libsandbox.so'
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
papu
Guru
Guru


Joined: 25 Jan 2008
Posts: 586
Location: Sota algun pi o alzina...

PostPosted: Sun Jun 17, 2018 11:16 pm    Post subject: [solved] ERROR: ld.so: object 'libsandbox.so' Reply with quote

several days ago sqlite starts to get this problem and now networkmanager too:

ERROR: ld.so: object 'libsandbox.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.

https://hastebin.com/ogocoviyek networkmanager

https://hastebin.com/aqiyenipek sqlite


my emerge --info --> https://hastebin.com/afotabilaz


any ideas? thanks you so much :roll:
_________________
--Intel i5 6600 --GA-Z170-HD3P --Ripjaws V 2x8 2400 --Radeon RX 470 G1 4G --Gentoo & Windows


Last edited by papu on Mon Jun 18, 2018 12:31 pm; edited 1 time in total
Back to top
View user's profile Send private message
russK
l33t
l33t


Joined: 27 Jun 2006
Posts: 605

PostPosted: Mon Jun 18, 2018 1:57 am    Post subject: Reply with quote

papu,

Did you accidentally remove some packages?

The two problems seem different but maybe caused by removing packages or something. libsandbox.so is a library from the sandbox package that portage uses and depends on.

The networkmanager failure comes from not finding gdbus-codegen, which is provided by dev-util/gdbus-codegen. Did you remove that package somehow? My box shows many packages depending on gdbus-codegen.
Back to top
View user's profile Send private message
papu
Guru
Guru


Joined: 25 Jan 2008
Posts: 586
Location: Sota algun pi o alzina...

PostPosted: Mon Jun 18, 2018 9:34 am    Post subject: Reply with quote

russK wrote:
papu,

Did you accidentally remove some packages?

The two problems seem different but maybe caused by removing packages or something. libsandbox.so is a library from the sandbox package that portage uses and depends on.

The networkmanager failure comes from not finding gdbus-codegen, which is provided by dev-util/gdbus-codegen. Did you remove that package somehow? My box shows many packages depending on gdbus-codegen.


mmm not remove nothing special , just i used the instruccion for cleaning like always
Code:
 su -c 'emerge -ac && revdep-rebuild -i && emerge @preserved-rebuild && qcheck --update && emaint -c all'


eix -I gdbus-codegen && eix -I sandbox
https://i.imgur.com/M2PfdhY.png

equery d gdbus-codegen
Code:
papu@host ~ $ equery d gdbus-codegen
 * These packages depend on gdbus-codegen:
app-crypt/gcr-3.20.0 (dev-util/gdbus-codegen)
app-crypt/libsecret-0.18.6-r1 (dev-util/gdbus-codegen)
dev-libs/glib-2.54.3-r6 (utils ? >=dev-util/gdbus-codegen-2.54.3)
                        (>=dev-util/gdbus-codegen-2.54.3)
gnome-base/dconf-0.26.1 (dev-util/gdbus-codegen)
net-misc/modemmanager-1.6.12 (dev-util/gdbus-codegen)
net-misc/networkmanager-1.10.6 (dev-util/gdbus-codegen)
net-print/cups-filters-1.20.3 (dev-util/gdbus-codegen)
sys-apps/accountsservice-0.6.45 (dev-util/gdbus-codegen)
sys-fs/udisks-2.7.6 (>=dev-util/gdbus-codegen-2.32)
x11-libs/gtk+-3.22.30 (>=dev-util/gdbus-codegen-2.48)
x11-misc/notification-daemon-3.20.0 (dev-util/gdbus-codegen)
xfce-base/xfconf-4.13.4 (dev-util/gdbus-codegen)


not have idea :?
_________________
--Intel i5 6600 --GA-Z170-HD3P --Ripjaws V 2x8 2400 --Radeon RX 470 G1 4G --Gentoo & Windows
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 6816

PostPosted: Mon Jun 18, 2018 11:03 am    Post subject: Reply with quote

Well, the sandbox issue is that LD_PRELOAD is failing, and you know where this come from looking at your sandbox description that is "sandbox'd PRELOAD hack"

You should better use ::gentoo version (or everything) where you can, and ::overlay's one when you have no choice.
This is a bug to speak about with overlay owner.

I'm assuming gdbus-codegen suffer from same cause
Back to top
View user's profile Send private message
papu
Guru
Guru


Joined: 25 Jan 2008
Posts: 586
Location: Sota algun pi o alzina...

PostPosted: Mon Jun 18, 2018 12:31 pm    Post subject: Reply with quote

krinn wrote:
Well, the sandbox issue is that LD_PRELOAD is failing, and you know where this come from looking at your sandbox description that is "sandbox'd PRELOAD hack"

You should better use ::gentoo version (or everything) where you can, and ::overlay's one when you have no choice.
This is a bug to speak about with overlay owner.

I'm assuming gdbus-codegen suffer from same cause

yes it is!

i put in package.mask sys-apps/sandbox::rindeal and dev-util/gdbus-codegen::rindeal and now no more errors

thanks so much :o
_________________
--Intel i5 6600 --GA-Z170-HD3P --Ripjaws V 2x8 2400 --Radeon RX 470 G1 4G --Gentoo & Windows
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum